commit:     777e10865ad252b929ad537a866fcd154004cd87
Author:     Robert Siebeck <gentoo.2019 <AT> r123 <DOT> de>
AuthorDate: Fri Oct 31 08:13:56 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov  1 11:41:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=777e1086

app-editors/zed: add 0.210.4

Signed-off-by: Robert Siebeck <gentoo.2019 <AT> r123.de>
Part-of: https://github.com/gentoo/gentoo/pull/44400
Closes: https://github.com/gentoo/gentoo/pull/44400
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-editors/zed/Manifest           |   5 +
 app-editors/zed/zed-0.210.4.ebuild | 235 +++++++++++++++++++++++++++++++++++++
 2 files changed, 240 insertions(+)

diff --git a/app-editors/zed/Manifest b/app-editors/zed/Manifest
index d551aca48207..d40616485009 100644
--- a/app-editors/zed/Manifest
+++ b/app-editors/zed/Manifest
@@ -1,5 +1,6 @@
 DIST alacritty-828457c9ff1f7ea0a0469337cc8a37ee3a1b0590.gh.tar.gz 1648143 
BLAKE2B 
c3d7c72dd994ca62b1d5746ddf8f8a11a71cb59a7bfe36770b5b757889f0f1660ad628826a78d3a297ce937845c6a157062720a07bdc0cccf0547aacfa07f415
 SHA512 
6c2a67b4bed4b0c76217021fb90be4b00b89419ddd227166c062f09fa6cbfe85987f4bb2aa6bb8745560ee2acb47cbdd7ea248e486c4168ff5e611c9c3166bc4
 DIST async-pipe-rs-82d00a04211cf4e1236029aa03e6b6ce2a74c553.gh.tar.gz 5575 
BLAKE2B 
bbad7d35213afb7dc3eda1f72555cb5a61bc61acfa1b91771a528773c468629831f62bd26f9bdb345bcf94950892a294ce71cecc8552660cda5c28de6906764a
 SHA512 
86b13e6acbc1d04fd386b10be1e8f1f917f0ad12a702e9709526f798ef45ee389f4e14bb4ff16d0f1b14b278c76b75b5bf925581af402b350dc933a96b019460
+DIST async-tar-a307f6bf3e4219c3a457bea0cab198b6d7c36e25.gh.tar.gz 51819 
BLAKE2B 
f6574c300a7a8b297407f04ac0bb64ec61d1e453209ff04a01a336f1991e60716dab54828ef4c01f36dca3a8087a75fa90f61e5a23773ea492cf2c6cb711c051
 SHA512 
b6639cb6a559423465ffa4b61ab544b20032e1ce0b7e6a9e1c2f60cd7ef51b97b651d3379a3afc80e72afbad45016f8bfc5ad2f1e3c1d653ad8e5ed1715b197c
 DIST blade-bfa594ea697d4b6326ea29f747525c85ecf933b9.gh.tar.gz 3321377 BLAKE2B 
ee69c72f8a3ec32fc28a757a6be58cca7fe31ace5b87f79c2644a501173567bdd8a31f81bb6e5c6b854d9da099913c2572924550dfa4d6efb36989f90b30c7b2
 SHA512 
64d2cfb7bcfcd316d43129304e9f7d2e6b272da66f307f4a1e8aa60377f0c22feec72c0d3c14573bf5589eca22ea431ee9c2058a8c7e80bc6ac1bd2802864c7b
 DIST blade-e0ec4e720957edd51b945b64dd85605ea54bcfe5.gh.tar.gz 3321387 BLAKE2B 
6fa9fcc27e5b845a94406834d11a3993412f6e5a29af56199a786a02afd4df83ec14c9616bba452d53cbe8f00870a051f1b9c97078f907b6d35b0def1249064c
 SHA512 
7efb38c3e0de81e743ab6b36d405c9759a80a822af591e538e863cf47987c51af12fb7b13a95c2b4df0d208d4862e7b9409265c266532d3bc418b0deaeacddaf
 DIST candle-724d75eb3deebefe83f2a7381a45d4fac6eda383.gh.tar.gz 3072184 BLAKE2B 
10f88ac6a940deba3956865559bdd60b69ab139c3f18e87228aa14e96534cf08c006ecae46143674ea327b5615d1fc7ed1c00fcfa82bb69f05ac8d0885dd0551
 SHA512 
92d2c3c05647c7e1e59a676e7e2adc1c80dc0b344bf77bcb5c110a690d42cef229dbb2de336b7ab1b973b8239615e9b2d96bc75fbad65c8e9d5f1c2e1260b965
@@ -13,6 +14,7 @@ DIST 
lsp-types-39f629bdd03d59abd786ed9fc27e8bca02c0c0ec.gh.tar.gz 70353 BLAKE2B
 DIST notify-bbb9ea5ae52b253e095737847e367c30653a2e96.gh.tar.gz 104977 BLAKE2B 
9ac63358c0a7dcbb683e55cf240b48e25b6f076c6d5371c271c551d836188749e9705f78725e08ab314068255e45866bd315247713894637661a07869b56d455
 SHA512 
e7032771aa7ffb3d65c559ffdf9ff1f39558f5c269b5c1242dced7aef5e3388b366c8bbbd89f80c649ab7d93b38ba8314d0d35205ce699f2166a908504c541a3
 DIST nvim-rs-764dd270c642f77f10f3e19d05cc178a6cbe69f3.gh.tar.gz 49979 BLAKE2B 
63c2e181cdce292349f07375d5b23e30f0a4de1f872040d3a572f228147d9812bf94ab9799889d89ec0fb5de2fb8a46a8a92af392d65fb221dc91d1954dbcb20
 SHA512 
1d62d2bd4385dfb15e4aa52d5b823472011ea29a5faf6cc51a01b5c281502aaea78ea103838a4af15f8c36da2d26964f5fad5645cd033c761691d7bf8d2c1fb6
 DIST 
python-environment-tools-845945b830297a50de0e24020b980a65e4820559.gh.tar.gz 
1481537 BLAKE2B 
b316a575560b901bde0fdcd9316ecabfc164d5f11124fd1cebebe2694c833e7e65756a2f24b5f71113a8f30135d97f792a9cf0b4314ff713cfe88d502dbfde24
 SHA512 
aa15c0f6338d5c0bbe74a62ce1f6af584d7f059f964967572d47ecbc8d4f9c737b19a9b4d3071dcc1af3974df8df7adb807304b7fae2885eedb772033327006c
+DIST 
python-environment-tools-e97b9508befa0062929da65a01054d25c4be861c.gh.tar.gz 
1489385 BLAKE2B 
0df0ab542cd0ce794d32cc31e6c06027ecc4be69b5e5144e53006afda32cdcf9d6c2764f3208b999598806211131c6e0cabe6fdcff8cf80be27ce58a081f30b8
 SHA512 
1547fc973ed08d50d03b5dcc2f951ecc46c84f7b9886f25d9cbc8c08bbe91871a54626cd3ead8e222eecab83087709f3970c72573882b09d1cb8111ceaf00793
 DIST reqwest-951c770a32f1998d6e999cef3e59e0013e6c4415.gh.tar.gz 242638 BLAKE2B 
966d2fb6a4c2a7d5fa6582e96867021fb30106a964cea53a616595cda443d3ccf5170a6f5fa00d22eee3fce7188cb6be8502af391a4118dc94166d5f2c0f4d93
 SHA512 
4cbb903ac36f54dc2abb08170c9cbedc3dd339d7fe19df42541edbe0bd90195f90ed0c1cfb788b927837087345387e4ed1e15a99d91e9379e1183d7ddf3fd6fb
 DIST reqwest-c15662463bda39148ba154100dd44d3fba5873a4.gh.tar.gz 242618 BLAKE2B 
97f67d526d519dedef7e935da17a44b2cce6e3f5f3c88d2267607306d03405611c6f461e085e0b3d93c903144e7ff0b2e191c801df8153652f9f8c49e0dae123
 SHA512 
62cd1307fb6fede215aacdebe111c70af3b01f5214f08350bed0d64b714a48fcf7a0bd610670bc0012d5299bb5d8f15145b837d6ff51662e522b3122b12b7bd5
 DIST rodio-82514bd1f2c6cfd9a1a885019b26a8ffea75bc5c.gh.tar.gz 15033615 BLAKE2B 
567c7f5fff2dcbee81c1713a038318b9003551a7aaf3f53cbe333af91718bbce31da8db221cdf663a35bfb791f22f4cdb1649b20225192c389b009d1367b33c8
 SHA512 
be6657524ab22e1220eea84a58327b08d2f447f05f4de202622cc9aa4b009373248c01407001c2e439af1b2fb5d7629867cf12e080a1fa24b57e25cb0a6d25bc
@@ -28,6 +30,7 @@ DIST 
tree-sitter-go-work-acb0617bf7f4fda02c6217676cc64acb89536dc7.gh.tar.gz 1641
 DIST tree-sitter-heex-1dd45142fbb05562e35b2040c6129c9bca346592.gh.tar.gz 33900 
BLAKE2B 
2e7bbd467a4e457211d032492daa180824d9aaf582c0ae132eeb46ddb6016b80aea289e9922542bc9744f4e16c1e5d8d4d3ebc1da4e39a87e9f9eec61e0a2ab3
 SHA512 
6fb1c269e648231c5453d6dea9c6b6a9f6109328bacd5fc509a4707f41c06ae3d753f7635deea7588f86df1fa7cf630ab6c9051b8d29d359b25e83be07c0b6f5
 DIST tree-sitter-markdown-9a23c1a96c0513d8fc6520972beedd419a973539.gh.tar.gz 
418620 BLAKE2B 
42c4a9029311aaff11932e6ee426494eb833e9b353763dd45f49fcdb94b297eef65e148e789681d628d80e6985516e8d622eb6e4744814cfa44ff53bea9260b5
 SHA512 
f1bc7c18bd0d72addb4e73a6e55f057cd6e104a3fb5c970d5036708e69e682d7288e6c14a7040c3f5213e18d798a503fca703c28f89627999e13269749300209
 DIST tree-sitter-python-218fcbf3fda3d029225f3dec005cb497d111b35e.gh.tar.gz 
268683 BLAKE2B 
432c16ff3d93fc3ecdbaf9d2598dfc4d24f8bde686f108c662d355df91624ae4600807bae2b723bfa71a2e50ae68cae6eadadcbbb252a21070a4f8878f44b93d
 SHA512 
8c239305ea5b88be29cc206b1b795b78bb012c560f33e2074675563dbf54552d58be5fd80acc68b7b89f4224ca363d2821b318e0d72cdde2de9cbae795656ab3
+DIST tree-sitter-typescript-e2c53597d6a5d9cf7bbe8dccde576fe1e46c5899.gh.tar.gz 
1029506 BLAKE2B 
01434a26c7438f20a0834e91e40b9e4aed746f908d21b98b0851ba430c687bc301f46a6eb27768cd0d58c9c2c8a3e99850910fccc0bc08319ea826127cf30d83
 SHA512 
88c18d062a7224adfbfb952f10ee5054762055362a96dbf46832868088dcfaac34ac9ed41fcb8dd5e0ee133a245d161d7b064796ca523405b0bfbd6e6aacc27f
 DIST tree-sitter-yaml-baff0b51c64ef6a1fb1f8390f3ad6015b83ec13a.gh.tar.gz 
145319 BLAKE2B 
ab84051fd4a487f54295b112e1f03ac85b8399d98dd727297960ea240ffe8faa8fc8363353a56adaa411accc57b56d1ef16a5ed612e143637ba9682fa49b332c
 SHA512 
d9e143449cdbe2b092faeeef82d0c9029c7b7c473539db91d22511a71d35740eb3d054a62b20cd9f178e2d1f52d3dddae91fbd5fc5516cf1a047f1a6b9e3b2de
 DIST webrtc-b99fd2c-6-linux-arm64-release.zip 115706228 BLAKE2B 
61a92092beb2680364e10f7d44b83382de1495af8f18decedb7e76fd54a997726c364615b45c5ccb228e3c4e2977da9ee2ae96a696d6d3b4701cf3079c60d15b
 SHA512 
36f8de22f1660508bbfe0cdf468b259c3924668d7c366c4f1b484c94fe6607d059aef15c3a893dd1ede6137e4518e9faf4ff0056c003534175abcbab52fd7ffa
 DIST webrtc-b99fd2c-6-linux-x64-release.zip 100706879 BLAKE2B 
2f1b8bc05172bbfdaaea9580a5254797f94614060aa4159d322ea38667426025ac2e846a7c6fa4253950d84653559672fe78a8b19ddea6f66dd8560e1737cb0c
 SHA512 
92a45c3c5d89fa5f2e1b5bd70b1e09ce9c7aefbdf8cf8d0e25347708955f4d8aa8c0d9ec4a857cacf6096603f59a8f08729a4088410756048288e263be84a952
@@ -42,3 +45,5 @@ DIST zed-0.207.3-crates.tar.xz 113004464 BLAKE2B 
00f1550ccfe0afdd36955e8099a79c8
 DIST zed-0.207.3.tar.gz 20839539 BLAKE2B 
0f50a3105814faead08421906d8741115509f7b631537b2ef40fc27eb1f090fa37a90099618724c0b5eba895ca43a05a528d205d1493794739a9561a9e6ef3e6
 SHA512 
3747487e434af605670978c667fafe423425ac5c972cc0c01f3ac467b5d7e645789cd5db121920e664301b1e4a66ea4faabd4733ccfb3ccc54a01d1b67aaa134
 DIST zed-0.208.4-crates.tar.xz 115106028 BLAKE2B 
29a7a38cddc2a2abe38fc83ae9c7bf7b62716622d18d611448974ff95da7f08b4372284067fe67a27adda5cfa89a9d5ff302b9003e1e6bd9ca6ec0efb1e1d36e
 SHA512 
9057fe94fe3a988656ad2892250230bb5d2bf5126c7bd538038de64da0811cd06dae981914370d7803a5a48c8ac057a57084dc8a2af46ea2479d8080e874087b
 DIST zed-0.208.4.tar.gz 21446693 BLAKE2B 
8265058a4c1b57d0d51f4e09a274798ea7e46eb404a2048c05a93a6caca7817964ecde830a3106526b58af6d89f3f0be7cca6a01be973e0f7a65a0c0a5283bfe
 SHA512 
b9f918deb5201f9c4fd74f74b9fef90df4dbf5b3a971f0bb328cd90c7ccd7dc8c791fb44a7f9670d64fefef778f3d5dada158a816bfbc90392cb63acbb4b29e7
+DIST zed-0.210.4-crates.tar.xz 119182976 BLAKE2B 
a111f89b039e6c7e0e8d7bdd9d47fe165d19347e8f10356c67ab1a567ba423cb2edabffa7ed7074e6007ca420a7e3e2026bf65d3779bbca03b3426a735f655d8
 SHA512 
0c5b51b1cce0e42e76e08d76ac6106a8c636b0ba75b9ceec70f2dd189c2f1a8e87ed768c46c4a2fc029bc28d111e9a1f9d37f4c73d6f2675be041aea6abf4a83
+DIST zed-0.210.4.tar.gz 21434026 BLAKE2B 
26a07561ee23fb535da5e216b624b76909472206c4a0e40b635fa14dc7c6b01fffa5f40fba275bab848e9c0f43bda3e0dc7df0a729bf920ee5be3a8caad8a526
 SHA512 
a6e5a31096407c3f5328b42f9aff1d59313b3c2ddb27e3618273f728434af6472a669522529287e8c31ff3266e025e6ddded45d3f5da87626abf472c427f9eb7

diff --git a/app-editors/zed/zed-0.210.4.ebuild 
b/app-editors/zed/zed-0.210.4.ebuild
new file mode 100644
index 000000000000..e06ed3af120a
--- /dev/null
+++ b/app-editors/zed/zed-0.210.4.ebuild
@@ -0,0 +1,235 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.15.0
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+       
[async-pipe]='https://github.com/zed-industries/async-pipe-rs;82d00a04211cf4e1236029aa03e6b6ce2a74c553;async-pipe-rs-%commit%'
+       
[candle-core]='https://github.com/zed-industries/candle;724d75eb3deebefe83f2a7381a45d4fac6eda383;candle-%commit%/candle-core'
+       
[candle-nn]='https://github.com/zed-industries/candle;724d75eb3deebefe83f2a7381a45d4fac6eda383;candle-%commit%/candle-nn'
+       
[candle-onnx]='https://github.com/zed-industries/candle;724d75eb3deebefe83f2a7381a45d4fac6eda383;candle-%commit%/candle-onnx'
+       
[dap-types]='https://github.com/zed-industries/dap-types;1b461b310481d01e02b2603c16d7144b926339f8;dap-types-%commit%/dap-types'
+       
[jupyter-protocol]='https://github.com/ConradIrwin/runtimed;7130c804216b6914355d15d0b91ea91f6babd734;runtimed-%commit%/crates/jupyter-protocol'
+       
[jupyter-websocket-client]='https://github.com/ConradIrwin/runtimed;7130c804216b6914355d15d0b91ea91f6babd734;runtimed-%commit%/crates/jupyter-websocket-client'
+       
[libwebrtc]='https://github.com/zed-industries/livekit-rust-sdks;5f04705ac3f356350ae31534ffbc476abc9ea83d;livekit-rust-sdks-%commit%/libwebrtc'
+       
[livekit-api]='https://github.com/zed-industries/livekit-rust-sdks;5f04705ac3f356350ae31534ffbc476abc9ea83d;livekit-rust-sdks-%commit%/livekit-api'
+       
[livekit-protocol]='https://github.com/zed-industries/livekit-rust-sdks;5f04705ac3f356350ae31534ffbc476abc9ea83d;livekit-rust-sdks-%commit%/livekit-protocol'
+       
[livekit-runtime]='https://github.com/zed-industries/livekit-rust-sdks;5f04705ac3f356350ae31534ffbc476abc9ea83d;livekit-rust-sdks-%commit%/livekit-runtime'
+       
[livekit]='https://github.com/zed-industries/livekit-rust-sdks;5f04705ac3f356350ae31534ffbc476abc9ea83d;livekit-rust-sdks-%commit%/livekit'
+       
[lsp-types]='https://github.com/zed-industries/lsp-types;0874f8742fe55b4dc94308c1e3c0069710d8eeaf;lsp-types-%commit%'
+       
[nbformat]='https://github.com/ConradIrwin/runtimed;7130c804216b6914355d15d0b91ea91f6babd734;runtimed-%commit%/crates/nbformat'
+       
[notify-types]='https://github.com/zed-industries/notify;bbb9ea5ae52b253e095737847e367c30653a2e96;notify-%commit%/notify-types'
+       
[notify]='https://github.com/zed-industries/notify;bbb9ea5ae52b253e095737847e367c30653a2e96;notify-%commit%/notify'
+       
[nvim-rs]='https://github.com/KillTheMule/nvim-rs;764dd270c642f77f10f3e19d05cc178a6cbe69f3;nvim-rs-%commit%'
+       
[pet-conda]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-conda'
+       
[pet-core]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-core'
+       
[pet-env-var-path]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-env-var-path'
+       
[pet-fs]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-fs'
+       
[pet-global-virtualenvs]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-global-virtualenvs'
+       
[pet-homebrew]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-homebrew'
+       
[pet-jsonrpc]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-jsonrpc'
+       
[pet-linux-global-python]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-linux-global-python'
+       
[pet-mac-commandlinetools]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-mac-commandlinetools'
+       
[pet-mac-python-org]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-mac-python-org'
+       
[pet-mac-xcode]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-mac-xcode'
+       
[pet-pipenv]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-pipenv'
+       
[pet-pixi]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-pixi'
+       
[pet-poetry]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-poetry'
+       
[pet-pyenv]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-pyenv'
+       
[pet-python-utils]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-python-utils'
+       
[pet-reporter]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-reporter'
+       
[pet-telemetry]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-telemetry'
+       
[pet-venv]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-venv'
+       
[pet-virtualenv]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-virtualenv'
+       
[pet-virtualenvwrapper]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-virtualenvwrapper'
+       
[pet-windows-registry]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-windows-registry'
+       
[pet-windows-store]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet-windows-store'
+       
[pet]='https://github.com/microsoft/python-environment-tools;e97b9508befa0062929da65a01054d25c4be861c;python-environment-tools-%commit%/crates/pet'
+       
[rodio]='https://github.com/RustAudio/rodio;e2074c6c2acf07b57cf717e076bdda7a9ac6e70b;rodio-%commit%'
+       
[runtimelib]='https://github.com/ConradIrwin/runtimed;7130c804216b6914355d15d0b91ea91f6babd734;runtimed-%commit%/crates/runtimelib'
+       
[tiktoken-rs]='https://github.com/zed-industries/tiktoken-rs;30c32a4522751699adeda0d5840c71c3b75ae73d;tiktoken-rs-%commit%/tiktoken-rs'
+       
[tree-sitter-cpp]='https://github.com/tree-sitter/tree-sitter-cpp;5cb9b693cfd7bfacab1d9ff4acac1a4150700609;tree-sitter-cpp-%commit%'
+       
[tree-sitter-gitcommit]='https://github.com/zed-industries/tree-sitter-git-commit;88309716a69dd13ab83443721ba6e0b491d37ee9;tree-sitter-git-commit-%commit%'
+       
[tree-sitter-gomod]='https://github.com/camdencheek/tree-sitter-go-mod;6efb59652d30e0e9cd5f3b3a669afd6f1a926d3c;tree-sitter-go-mod-%commit%'
+       
[tree-sitter-gowork]='https://github.com/zed-industries/tree-sitter-go-work;acb0617bf7f4fda02c6217676cc64acb89536dc7;tree-sitter-go-work-%commit%'
+       
[tree-sitter-heex]='https://github.com/zed-industries/tree-sitter-heex;1dd45142fbb05562e35b2040c6129c9bca346592;tree-sitter-heex-%commit%'
+       
[tree-sitter-md]='https://github.com/tree-sitter-grammars/tree-sitter-markdown;9a23c1a96c0513d8fc6520972beedd419a973539;tree-sitter-markdown-%commit%'
+       
[tree-sitter-typescript]='https://github.com/zed-industries/tree-sitter-typescript;e2c53597d6a5d9cf7bbe8dccde576fe1e46c5899;tree-sitter-typescript-%commit%'
+       
[tree-sitter-yaml]='https://github.com/zed-industries/tree-sitter-yaml;baff0b51c64ef6a1fb1f8390f3ad6015b83ec13a;tree-sitter-yaml-%commit%'
+       
[webrtc-sys-build]='https://github.com/zed-industries/livekit-rust-sdks;5f04705ac3f356350ae31534ffbc476abc9ea83d;livekit-rust-sdks-%commit%/webrtc-sys/build'
+       
[webrtc-sys]='https://github.com/zed-industries/livekit-rust-sdks;5f04705ac3f356350ae31534ffbc476abc9ea83d;livekit-rust-sdks-%commit%/webrtc-sys'
+       
[windows-capture]='https://github.com/zed-industries/windows-capture;f0d6c1b6691db75461b732f6d5ff56eed002eeb9;windows-capture-%commit%'
+       
[xim-ctext]='https://github.com/zed-industries/xim-rs;16f35a2c881b815a2b6cdfd6687988e84f8447d8;xim-rs-%commit%/xim-ctext'
+       
[xim-parser]='https://github.com/zed-industries/xim-rs;16f35a2c881b815a2b6cdfd6687988e84f8447d8;xim-rs-%commit%/xim-parser'
+       
[zed-async-tar]='https://github.com/zed-industries/async-tar;a307f6bf3e4219c3a457bea0cab198b6d7c36e25;async-tar-%commit%'
+       
[zed-font-kit]='https://github.com/zed-industries/font-kit;110523127440aefb11ce0cf280ae7c5071337ec5;font-kit-%commit%'
+       
[zed-reqwest]='https://github.com/zed-industries/reqwest;c15662463bda39148ba154100dd44d3fba5873a4;reqwest-%commit%'
+       
[zed-scap]='https://github.com/zed-industries/scap;4afea48c3b002197176fb19cd0f9b180dd36eaac;scap-%commit%'
+       
[zed-xim]='https://github.com/zed-industries/xim-rs;16f35a2c881b815a2b6cdfd6687988e84f8447d8;xim-rs-%commit%'
+)
+
+LLVM_COMPAT=( 20 )
+RUST_MIN_VER="1.90.0"
+RUST_NEEDS_LLVM=1
+WEBRTC_COMMIT="b99fd2c-6"
+
+inherit cargo check-reqs desktop flag-o-matic llvm-r1 toolchain-funcs xdg
+
+DESCRIPTION="The fast, collaborative code editor"
+HOMEPAGE="https://zed.dev https://github.com/zed-industries/zed";
+SRC_URI="
+       
https://github.com/zed-industries/zed/archive/refs/tags/v${PV/_/-}.tar.gz -> 
${P}.tar.gz
+       
https://github.com/gentoo-crate-dist/zed/releases/download/v${PV/_/-}/${P/_/-}-crates.tar.xz
+       amd64? (
+               
https://github.com/livekit/rust-sdks/releases/download/webrtc-${WEBRTC_COMMIT}/webrtc-linux-x64-release.zip
 ->
+                       webrtc-${WEBRTC_COMMIT}-linux-x64-release.zip
+       )
+       arm64? (
+               
https://github.com/livekit/rust-sdks/releases/download/webrtc-${WEBRTC_COMMIT}/webrtc-linux-arm64-release.zip
 ->
+                       webrtc-${WEBRTC_COMMIT}-linux-arm64-release.zip
+       )
+       ${CARGO_CRATE_URIS}"
+
+S="${WORKDIR}/${PN}-${PV/_/-}"
+LICENSE="GPL-3+"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+       CC0-1.0 ISC LGPL-3 MIT MIT-0 MPL-2.0 UoI-NCSA openssl Unicode-3.0
+       ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+CHECKREQS_DISK_BUILD="14G"
+CHECKREQS_MEMORY="8G"
+
+DEPEND="
+       app-arch/zstd:=
+       app-misc/jq
+       dev-db/sqlite:3
+       >=dev-libs/libgit2-1.9.0:=
+       dev-libs/mimalloc
+       dev-libs/openssl:0/3
+       dev-libs/protobuf
+       dev-libs/wayland
+       dev-libs/wayland-protocols
+       dev-util/wayland-scanner
+       dev-util/vulkan-tools
+       || (
+               media-fonts/dejavu
+               media-fonts/cantarell
+               media-fonts/noto
+               media-fonts/ubuntu-font-family
+       )
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/vulkan-loader[X]
+       net-misc/curl
+       sys-libs/zlib
+       x11-libs/libX11
+       x11-libs/libxcb:=
+       x11-libs/libxkbcommon[X]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       app-arch/unzip
+       dev-build/cmake
+       dev-util/vulkan-headers
+       sys-devel/gettext
+       sys-devel/mold
+       $(llvm_gen_dep '
+               llvm-core/clang:${LLVM_SLOT}=
+               llvm-core/llvm:${LLVM_SLOT}=
+       ')
+"
+
+QA_FLAGS_IGNORED="usr/bin/zedit"
+
+pkg_setup() {
+       if tc-is-lto; then
+               if tc-is-gcc; then
+                       export CARGO_PROFILE_RELEASE_LTO="true"
+               elif tc-is-clang; then
+                       export CARGO_PROFILE_RELEASE_LTO="thin"
+               fi
+       else
+               export CARGO_PROFILE_RELEASE_LTO="false"
+       fi
+
+       strip-unsupported-flags
+       # flags from upstream
+       export RUSTFLAGS="${RUSTFLAGS} -C symbol-mangling-version=v0 --cfg 
tokio_unstable -C link-arg=-fuse-ld=mold -C 
link-args=-Wl,--disable-new-dtags,-rpath,\$ORIGIN/../lib"
+       # fix error in livekit-rust-sdks
+       export RUSTFLAGS="${RUSTFLAGS} -A unexpected_cfgs"
+       llvm-r1_pkg_setup
+       rust_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       export APP_CLI="zedit"
+       export APP_ICON="zed"
+       if [[ "${PV}" == *pre ]]; then
+               export APP_ID="dev.zed.Zed-Preview"
+       else
+               export APP_ID="dev.zed.Zed"
+       fi
+       export APP_NAME="Zed"
+       export APP_ARGS="%U"
+       export DO_STARTUP_NOTIFY="true"
+       envsubst < "crates/zed/resources/zed.desktop.in" > ${APP_ID}.desktop || 
die
+
+       # Cargo offline fetch workaround
+       local NOTIFY_COMMIT="bbb9ea5ae52b253e095737847e367c30653a2e96"
+       local NOTIFY_GIT="notify = { git = 
\"https://github.com/zed-industries/notify.git\";, rev = \"${NOTIFY_COMMIT}\""
+       local NOTIFY_PATH="notify = \\{ path = 
\"${WORKDIR}/notify-${NOTIFY_COMMIT}/notify\""
+       local NOTIFY_TYPES_GIT="notify-types = { git = 
\"https://github.com/zed-industries/notify.git\";, rev = \"${NOTIFY_COMMIT}\""
+       local NOTIFY_TYPES_PATH="notify-types = \\{ path = 
\"${WORKDIR}/notify-${NOTIFY_COMMIT}/notify-types\""
+
+       local WIN_CAP_COMMIT="f0d6c1b6691db75461b732f6d5ff56eed002eeb9"
+       local WIN_CAP_GIT="windows-capture = { git = 
\"https://github.com/zed-industries/windows-capture.git\";, rev = 
\"${WIN_CAP_COMMIT}\""
+       local WIN_CAP_PATH="windows-capture = \\{ path = 
\"${WORKDIR}/windows-capture-${WIN_CAP_COMMIT}\""
+
+       sed -e "s#${NOTIFY_GIT}#${NOTIFY_PATH}#" \
+               -e "s#${NOTIFY_TYPES_GIT}#${NOTIFY_TYPES_PATH}#" \
+               -e "s#${WIN_CAP_GIT}#${WIN_CAP_PATH}#" \
+               -i "${S}/Cargo.toml" || die "Cargo fetch workaround failed"
+}
+
+src_configure() {
+       cargo_src_configure --all-features
+}
+
+src_compile() {
+       export RELEASE_VERSION="${PV}"
+       export ZED_UPDATE_EXPLANATION='Updates are handled by portage'
+       if use arm64; then
+               export LK_CUSTOM_WEBRTC="${WORKDIR}/linux-arm64-release"
+       elif use amd64; then
+               export LK_CUSTOM_WEBRTC="${WORKDIR}/linux-x64-release"
+       fi
+       cargo_src_compile --package zed --package cli
+}
+
+src_install() {
+       newbin $(cargo_target_dir)/cli ${APP_CLI}
+       exeinto "/usr/libexec"
+       newexe $(cargo_target_dir)/zed zed-editor
+
+       newicon -s 512 crates/zed/resources/app-icon.png zed.png
+       newicon -s 1024 crates/zed/resources/[email protected] zed.png
+       domenu "${S}/${APP_ID}.desktop"
+}
+
+src_test () {
+       mkdir -p "${HOME}/.config/zed" || die
+       mkdir -p "${HOME}/.local/share/zed/logs/" || die
+
+       SHELL=/usr/bin/sh RUST_BACKTRACE=full cargo_src_test -vv
+}

Reply via email to